Suppressions
List Suppressions
List suppressed emails in your workspace.
GET
Retrieve a paginated list of all currently suppressed email addresses.
Query Parameters
number
default:"1"
Page number.
number
default:"50"
Page size (max 100).
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.mailofly.com/api/v1/suppressions?page=1&page_size=25" \
-H "Authorization: Bearer mf_live_your_api_key"
{
"data": [
{
"id": "sup_123",
"email": "baduser@example.com",
"reason": "complaint",
"created_at": "2026-09-11T14:00:00Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"page_size": 25
}
}
List suppressed emails in your workspace.
curl -X GET "https://api.mailofly.com/api/v1/suppressions?page=1&page_size=25" \
-H "Authorization: Bearer mf_live_your_api_key"
{
"data": [
{
"id": "sup_123",
"email": "baduser@example.com",
"reason": "complaint",
"created_at": "2026-09-11T14:00:00Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"page_size": 25
}
}
curl -X GET "https://api.mailofly.com/api/v1/suppressions?page=1&page_size=25" \
-H "Authorization: Bearer mf_live_your_api_key"
{
"data": [
{
"id": "sup_123",
"email": "baduser@example.com",
"reason": "complaint",
"created_at": "2026-09-11T14:00:00Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"page_size": 25
}
}